> ## Documentation Index
>
> Fetch the complete documentation index at: [/llms.txt](https://developer.fabric.inc/llms.txt)
>
> Use this file to discover all available pages before exploring further.

[Skip to main content](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#content-area)

Create shipment for an existing order

cURL

```
curl --request POST \
  --url https://api.fabric.inc/v3/shipments/create-order-shipment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "shipmentNumber": 78974156816152,
  "shipmentExternalId": "123k4h123k",
  "poNumber": 1125,
  "vendorId": 56,
  "statusCode": "SHIPMENT_CREATED",
  "type": "STANDARD",
  "subtype": "COD",
  "reshipmentReasonCode": "Order is missing",
  "shippedAt": "2023-04-06T07:58:30.996Z",
  "locationNumber": 132412,
  "locationType": "DC",
  "totalCartons": 2,
  "masterTrackingNumber": "TX112345678",
  "shipToId": "sg6683620405",
  "recipients": [\
    {\
      "email": "support@example.inc",\
      "name": {\
        "firstName": "Alex",\
        "lastName": "Doe",\
        "middleName": "E"\
      },\
      "phone": {\
        "number": "123-456-7890",\
        "type": "MOBILE"\
      }\
    }\
  ],
  "attributes": {
    "attribute1": "value"
  },
  "cartons": [\
    {\
      "items": [\
        {\
          "lineItemId": "1",\
          "shippedQuantity": 2,\
          "attributes": {\
            "attribute1": "value"\
          },\
          "fees": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "name": "RETURN_FEE",\
              "reason": "Return fee",\
              "type": "FEE"\
            }\
          ],\
          "giftCards": [\
            {\
              "amount": 50,\
              "giftCardNumber": "453456765"\
            }\
          ],\
          "itemId": 100023,\
          "orderId": "6413e370cb0dc859b6c0dcb0",\
          "orderNumber": "309020213",\
          "shipmentExternalId": "123k4h123k",\
          "orderedQuantity": 2,\
          "refundAmount": 10,\
          "refundAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "returnQuantity": 1,\
          "returnRequestCounter": 1,\
          "segment": "segment",\
          "sku": "SKU0023",\
          "uom": "EA",\
          "vendorId": "56"\
        }\
      ],\
      "cartonNumber": 1,\
      "cartonType": "Package",\
      "promisedDeliveryDate": "2023-03-26T07:58:30.996Z",\
      "estimatedShipDate": "2023-03-25T07:58:30.996Z",\
      "estimatedDeliveryDate": "2023-03-26T07:58:30.996Z",\
      "shipmentMethod": "ground",\
      "shipmentCarrier": "FEDEX",\
      "weight": 500,\
      "trackingNumber": "1Z999AA10123456784",\
      "trackingURL": "https://fedex.com/tracking",\
      "tracking": [\
        {\
          "event": "picked up",\
          "eventId": "627963716b19511e8a3a631b",\
          "eventRecordedAt": "2019-09-30T07:58:30.996Z",\
          "location": "Reno, NV",\
          "notes": {\
            "description": "Shipment picked up"\
          },\
          "shipmentCarrier": "FEDEX"\
        }\
      ]\
    }\
  ],
  "scratchedItems": [\
    {\
      "lineItemId": 2,\
      "quantity": 1,\
      "reasonCode": "ReasonCode23454",\
      "orderId": "6413e370cb0dc859b6c0dcb0",\
      "orderNumber": 309020213,\
      "orderExternalId": "123k4h123k",\
      "itemId": 100043,\
      "sku": "SKU00043",\
      "uom": "EA",\
      "subReasonCode": "SubReasonCode23242",\
      "attributes": {\
        "attribute1": "value"\
      }\
    }\
  ]
}
'
```

```
import requests

url = "https://api.fabric.inc/v3/shipments/create-order-shipment"

payload = {
    "shipmentNumber": 78974156816152,
    "shipmentExternalId": "123k4h123k",
    "poNumber": 1125,
    "vendorId": 56,
    "statusCode": "SHIPMENT_CREATED",
    "type": "STANDARD",
    "subtype": "COD",
    "reshipmentReasonCode": "Order is missing",
    "shippedAt": "2023-04-06T07:58:30.996Z",
    "locationNumber": 132412,
    "locationType": "DC",
    "totalCartons": 2,
    "masterTrackingNumber": "TX112345678",
    "shipToId": "sg6683620405",
    "recipients": [\
        {\
            "email": "support@example.inc",\
            "name": {\
                "firstName": "Alex",\
                "lastName": "Doe",\
                "middleName": "E"\
            },\
            "phone": {\
                "number": "123-456-7890",\
                "type": "MOBILE"\
            }\
        }\
    ],
    "attributes": { "attribute1": "value" },
    "cartons": [\
        {\
            "items": [\
                {\
                    "lineItemId": "1",\
                    "shippedQuantity": 2,\
                    "attributes": { "attribute1": "value" },\
                    "fees": [\
                        {\
                            "amount": 34.56,\
                            "amountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "name": "RETURN_FEE",\
                            "reason": "Return fee",\
                            "type": "FEE"\
                        }\
                    ],\
                    "giftCards": [\
                        {\
                            "amount": 50,\
                            "giftCardNumber": "453456765"\
                        }\
                    ],\
                    "itemId": 100023,\
                    "orderId": "6413e370cb0dc859b6c0dcb0",\
                    "orderNumber": "309020213",\
                    "shipmentExternalId": "123k4h123k",\
                    "orderedQuantity": 2,\
                    "refundAmount": 10,\
                    "refundAmountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "returnQuantity": 1,\
                    "returnRequestCounter": 1,\
                    "segment": "segment",\
                    "sku": "SKU0023",\
                    "uom": "EA",\
                    "vendorId": "56"\
                }\
            ],\
            "cartonNumber": 1,\
            "cartonType": "Package",\
            "promisedDeliveryDate": "2023-03-26T07:58:30.996Z",\
            "estimatedShipDate": "2023-03-25T07:58:30.996Z",\
            "estimatedDeliveryDate": "2023-03-26T07:58:30.996Z",\
            "shipmentMethod": "ground",\
            "shipmentCarrier": "FEDEX",\
            "weight": 500,\
            "trackingNumber": "1Z999AA10123456784",\
            "trackingURL": "https://fedex.com/tracking",\
            "tracking": [\
                {\
                    "event": "picked up",\
                    "eventId": "627963716b19511e8a3a631b",\
                    "eventRecordedAt": "2019-09-30T07:58:30.996Z",\
                    "location": "Reno, NV",\
                    "notes": { "description": "Shipment picked up" },\
                    "shipmentCarrier": "FEDEX"\
                }\
            ]\
        }\
    ],
    "scratchedItems": [\
        {\
            "lineItemId": 2,\
            "quantity": 1,\
            "reasonCode": "ReasonCode23454",\
            "orderId": "6413e370cb0dc859b6c0dcb0",\
            "orderNumber": 309020213,\
            "orderExternalId": "123k4h123k",\
            "itemId": 100043,\
            "sku": "SKU00043",\
            "uom": "EA",\
            "subReasonCode": "SubReasonCode23242",\
            "attributes": { "attribute1": "value" }\
        }\
    ]
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    shipmentNumber: 78974156816152,
    shipmentExternalId: '123k4h123k',
    poNumber: 1125,
    vendorId: 56,
    statusCode: 'SHIPMENT_CREATED',
    type: 'STANDARD',
    subtype: 'COD',
    reshipmentReasonCode: 'Order is missing',
    shippedAt: '2023-04-06T07:58:30.996Z',
    locationNumber: 132412,
    locationType: 'DC',
    totalCartons: 2,
    masterTrackingNumber: 'TX112345678',
    shipToId: 'sg6683620405',
    recipients: [\
      {\
        email: 'support@example.inc',\
        name: {firstName: 'Alex', lastName: 'Doe', middleName: 'E'},\
        phone: {number: '123-456-7890', type: 'MOBILE'}\
      }\
    ],
    attributes: {attribute1: 'value'},
    cartons: [\
      {\
        items: [\
          {\
            lineItemId: '1',\
            shippedQuantity: 2,\
            attributes: {attribute1: 'value'},\
            fees: [\
              {\
                amount: 34.56,\
                amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                name: 'RETURN_FEE',\
                reason: 'Return fee',\
                type: 'FEE'\
              }\
            ],\
            giftCards: [{amount: 50, giftCardNumber: '453456765'}],\
            itemId: 100023,\
            orderId: '6413e370cb0dc859b6c0dcb0',\
            orderNumber: '309020213',\
            shipmentExternalId: '123k4h123k',\
            orderedQuantity: 2,\
            refundAmount: 10,\
            refundAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            returnQuantity: 1,\
            returnRequestCounter: 1,\
            segment: 'segment',\
            sku: 'SKU0023',\
            uom: 'EA',\
            vendorId: '56'\
          }\
        ],\
        cartonNumber: 1,\
        cartonType: 'Package',\
        promisedDeliveryDate: '2023-03-26T07:58:30.996Z',\
        estimatedShipDate: '2023-03-25T07:58:30.996Z',\
        estimatedDeliveryDate: '2023-03-26T07:58:30.996Z',\
        shipmentMethod: 'ground',\
        shipmentCarrier: 'FEDEX',\
        weight: 500,\
        trackingNumber: '1Z999AA10123456784',\
        trackingURL: 'https://fedex.com/tracking',\
        tracking: [\
          {\
            event: 'picked up',\
            eventId: '627963716b19511e8a3a631b',\
            eventRecordedAt: '2019-09-30T07:58:30.996Z',\
            location: 'Reno, NV',\
            notes: {description: 'Shipment picked up'},\
            shipmentCarrier: 'FEDEX'\
          }\
        ]\
      }\
    ],
    scratchedItems: [\
      {\
        lineItemId: 2,\
        quantity: 1,\
        reasonCode: 'ReasonCode23454',\
        orderId: '6413e370cb0dc859b6c0dcb0',\
        orderNumber: 309020213,\
        orderExternalId: '123k4h123k',\
        itemId: 100043,\
        sku: 'SKU00043',\
        uom: 'EA',\
        subReasonCode: 'SubReasonCode23242',\
        attributes: {attribute1: 'value'}\
      }\
    ]
  })
};

fetch('https://api.fabric.inc/v3/shipments/create-order-shipment', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

201

400

401

500

```
{
  "version": 2,
  "allocationId": "6413e3d3fd03a35efccb426e",
  "auditLogs": [\
    {\
      "auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",\
      "auditType": "CANCEL",\
      "auditedAt": "2023-03-12T09:24:54.804Z",\
      "employeeId": "6227",\
      "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
      "note": "Note",\
      "reasonCode": "Scratched item",\
      "source": "POS",\
      "subReasonCode": "Scratched item",\
      "updatedFields": [\
        {\
          "fieldName": "UOM",\
          "fieldOriginalValue": "PK"\
        }\
      ]\
    }\
  ],
  "cartons": [\
    {\
      "cartonNumber": "1",\
      "cartonType": "Package",\
      "estimatedDeliveryDate": "2023-04-26T07:58:30.996Z",\
      "estimatedShipmentDate": "2023-03-25T07:58:30.996Z",\
      "items": [\
        {\
          "fees": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "name": "RETURN_FEE",\
              "reason": "Return fee",\
              "type": "FEE"\
            }\
          ],\
          "giftCards": [\
            {\
              "amount": 50,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "giftCardActivatedAt": "2023-04-26T07:58:30.996Z",\
              "giftCardActivationRequestedAt": "2023-03-26T07:58:30.996Z",\
              "giftCardNumber": "453456765",\
              "giftCardStatus": "ACTIVE"\
            }\
          ],\
          "itemId": 100023,\
          "lineItemId": "1",\
          "orderId": "6413e370cb0dc859b6c0dcb0",\
          "orderNumber": "309020213",\
          "orderedQuantity": 2,\
          "refundAmount": 10,\
          "refundAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "returnQuantity": 1,\
          "segment": "segment",\
          "shipmentLineItemId": "607f1f77bcf86cd799439011",\
          "shippedQuantity": 2,\
          "sku": "SKU0023",\
          "uom": "EA",\
          "vendorId": "vend12346667"\
        }\
      ],\
      "promisedDeliveryDate": "2023-03-26T07:58:30.996Z",\
      "shipmentCarrier": "FEDEX",\
      "shipmentMethod": "ground",\
      "tracking": [\
        {\
          "event": "picked up",\
          "eventId": "627963716b19511e8a3a631b",\
          "eventRecordedAt": "2019-09-30T07:58:30.996Z",\
          "location": "Reno, NV",\
          "notes": {\
            "description": "Shipment picked up"\
          },\
          "shipmentCarrier": "FEDEX"\
        }\
      ],\
      "trackingNumber": "1Z999AA10123456784",\
      "trackingURL": "https://example.com/tracking",\
      "weight": "500 grams"\
    }\
  ],
  "createdAt": "2023-04-06T07:58:30.996Z",
  "invoiceId": "63ef4360aafa8a7f5247fe48",
  "locationNumber": "WH334",
  "locationType": "DC",
  "masterTrackingNumber": "TX112345678",
  "orderNumbers": [\
    "309020213, 459020213"\
  ],
  "poNumber": "1125",
  "recipients": [\
    {\
      "email": "support@example.inc",\
      "name": {\
        "firstName": "Alex",\
        "lastName": "Doe",\
        "middleName": "E"\
      },\
      "phone": {\
        "number": "123-456-7890",\
        "type": "MOBILE"\
      }\
    }\
  ],
  "reshipmentReasonCode": "Order is missing",
  "scratchedItems": [\
    {\
      "reasonCode": "ReasonCode23454",\
      "itemId": 100043,\
      "lineItemId": "2",\
      "orderId": "6413e370cb0dc859b6c0dcb0",\
      "quantity": 1,\
      "sku": "SKU00043",\
      "subReasonCode": "SubReasonCode23242",\
      "uom": "EA"\
    }\
  ],
  "shipToAddress": {
    "addressLine1": "123 Main St.",
    "city": "Seattle",
    "countryCode": "US",
    "latitude": 47.6205,
    "longitude": -122.3493,
    "postalCode": "98121",
    "region": "WA",
    "type": "Home",
    "addressLine2": "Suite 100",
    "addressLine3": "Seventh floor",
    "addressLine4": "Attention: Pat E. Kake",
    "email": "test@example.com",
    "name": {
      "firstName": "Alex",
      "lastName": "Doe",
      "middleName": "E"
    },
    "phone": {
      "number": "123-456-7890",
      "type": "MOBILE"
    }
  },
  "shipToId": "1",
  "shipmentId": "627963716b19511e8a3a631b",
  "shipmentNumber": "78974156816152",
  "shipmentExternalId": "123k4h123k",
  "shippedAt": "2023-04-06T07:58:30.996Z",
  "statusCode": "SHIPMENT_CREATED",
  "subtype": "COD",
  "totalCartons": 2,
  "type": "STANDARD",
  "updatedAt": "2023-04-06T07:58:30.996Z",
  "vendorId": "56"
}
```

```
{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4003",
  "message": "Mandatory param(s): `requiredField1` is/are missing",
  "errors": [\
    {\
      "type": "CLIENT_ERROR",\
      "errorCode": "SERVICE-4002",\
      "message": "Invalid value(s) specified for 'requiredField.field3'",\
      "errors": []\
    }\
  ],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders"
  }
}
```

```
{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4001",
  "message": "Unauthorized request",
  "errors": [],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders/OrderId_12345"
  }
}
```

```
{
  "type": "SERVER_ERROR",
  "errorCode": "SERVICE-5000",
  "message": "Internal server error",
  "errors": [],
  "context": {
    "service": "inventories",
    "endpoint": "POST /v3/inventories/actions/find-by-geography"
  }
}
```

POST

/

shipments

/

create-order-shipment

Try it

Create shipment for an existing order

cURL

```
import requests

url = "https://api.fabric.inc/v3/shipments/create-order-shipment"

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```


```

201

400

401

500

#### Authorizations

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#authorization-authorization)

Authorization

string

header

required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Headers

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#parameter-x-fabric-tenant-id)

x-fabric-tenant-id

string

required

A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from [Copilot](https://developer.fabric.inc/v3/platform/settings/account-details/getting-the-account-id). This header is required.

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#parameter-x-fabric-channel-id)

x-fabric-channel-id

string

required

x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#parameter-x-fabric-request-id)

x-fabric-request-id

string

Unique request ID

#### Body

application/json

Request payload to create a shipment for an order.

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-shipment-number)

shipmentNumber

string

required

Unique shipment identifier defined by the merchant.

Example:

`78974156816152`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-shipment-external-id)

shipmentExternalId

string

Unique shipment identifier defined by the merchant. This value can be used to track or reconcile shipments in external systems and serves as a reference between fabric and the merchant's order management or fulfillment system.

Example:

`"123k4h123k"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-po-number)

poNumber

string

Merchant-defined purchase order number associated with the shipment.

Example:

`1125`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-vendor-id)

vendorId

string

Vendor identifier. In dropshipping scenarios, indicates the vendor responsible for fulfilling the shipment.

Example:

`56`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-status-code)

statusCode

enum<string>

Current status of the shipment.

Available options:

`SHIPMENT_CREATED`,

`SHIPMENT_UPDATED`,

`SHIPMENT_CANCELLED`,

`PICKUP_CREATED`,

`PICKUP_COMPLETED`,

`SHIPMENT_RETURN_PENDING`,

`SHIPMENT_RETURN_RECEIVED`,

`SHIPMENT_PARTIALLY_DELIVERED`,

`SHIPMENT_DELIVERED`,

`SHIPMENT_ERROR`

Example:

`"SHIPMENT_CREATED"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-type)

type

enum<string>

Type of shipment.

Available options:

`STANDARD`,

`RESHIP`,

`RETURN`,

`SCRATCH`,

`PENDING_RETURN`,

`PICKUP`,

`TRANSFER`

Example:

`"STANDARD"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-subtype)

subtype

string

Free-form text to provide an additional classification for the shipment, if required.

Example:

`"COD"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-reshipment-reason-code)

reshipmentReasonCode

string

Code indicating the reason for a reshipment.

Example:

`"Order is missing"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-shipped-at)

shippedAt

string<date-time>

UTC timestamp indicating when the shipment was created or shipped.

Example:

`"2023-04-06T07:58:30.996Z"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-location-number)

locationNumber

string

Identifier of the ship-from location. Must match the `locationNumber` stored in the fabric Location service.

Example:

`132412`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-location-type)

locationType

string

Type of the ship-from location (for example, distribution center (DC) or warehouse). Must match the value stored in the fabric Location service.

Example:

`"DC"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-total-cartons)

totalCartons

integer<int32>

Total number of cartons included in the shipment.

Example:

`2`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-master-tracking-number)

masterTrackingNumber

string

Carrier-provided master tracking number that applies to all cartons in the shipment.

Example:

`"TX112345678"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-ship-to-id)

shipToId

string

Ship-to identifier generated in the response of the Create Shipping endpoint in the Shipping service.

Example:

`"sg6683620405"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-ship-to-address)

shipToAddress

object

Address details

Showchild attributes

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-recipients)

recipients

object\[\]

List of recipients for the shipment.

Showchild attributes

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-attributes)

attributes

object

Merchant-defined custom attributes, represented as key-value pairs. Useful for storing additional information.

Example:

```
{ "attribute1": "value" }
```

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-cartons)

cartons

object\[\]

Details of cartons included in the shipment.

Showchild attributes

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#body-scratched-items)

scratchedItems

object\[\]

Details of items marked as scratched from the shipment.

Showchild attributes

#### Response

201

application/json

Created

Shipment details

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-version)

version

integer<int64>

required

The current version of the shipment document. This integer indicates the number of times the shipment has been updated by any operation.

Example:

`2`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-allocation-id)

allocationId

string

System-generated allocation ID (UUID) from the Create allocation endpoint of fabric Allocation service. It refers to the given shipment. Note: Allocation occurs prior to Shipment Creation. `allocationId` is mandatory to create a Shipment.

Example:

`"6413e3d3fd03a35efccb426e"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-audit-logs)

auditLogs

object\[\]

Audit log details

Showchild attributes

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-cartons)

cartons

object\[\]

Carton details

Showchild attributes

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-created-at)

createdAt

string<date-time>

Shipment creation time (UTC)

Example:

`"2023-04-06T07:58:30.996Z"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-invoice-id)

invoiceId

string

Invoice ID generated from fabric Invoice service during shipment creation. Note: Invoices are only created for Shipments where merchants have payment Capture at Shipment feature enabled. The value will be “Null” if merchants don't have “Capture at Shipment” feature enabled.

Example:

`"63ef4360aafa8a7f5247fe48"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-location-number)

locationNumber

string

Unique value to identify ship-from location. This must be the `locationNumber` stored in the fabric Location service.

Example:

`"WH334"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-location-type)

locationType

string

Location type, such as distribution center (DC) or warehouse

Example:

`"DC"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-master-tracking-number)

masterTrackingNumber

string

Master tracking number for all cartons in the shipment

Example:

`"TX112345678"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-order-numbers)

orderNumbers

string\[\]

List of order numbers associated with a shipment. Note: Currently, a shipment can be associated with only one order. In the future, this property will support a scenario where a customer places a second order for the same product immediately after their first order. Multiple order numbers can be linked to one shipment in such cases.

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-po-number)

poNumber

string

Merchant-defined purchase order number

Example:

`"1125"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-recipients)

recipients

object\[\]

Recipient details

Showchild attributes

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-reshipment-reason-code)

reshipmentReasonCode

string

The reshipment reason code.

Example:

`"Order is missing"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-scratched-items)

scratchedItems

object\[\]

Details of scratched items

Showchild attributes

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-ship-to-address)

shipToAddress

object

Address details

Showchild attributes

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-ship-to-id)

shipToId

string

Ship-to ID generated in the response of Create shipping endpoint of Shipping service

Example:

`"1"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-shipment-id)

shipmentId

string

System-generated shipment ID (UUID)

Example:

`"627963716b19511e8a3a631b"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-shipment-number)

shipmentNumber

string

Merchant-defined unique shipment identifier. Note: It can be optionally generated by fabric by using resource generator feature in the Configuration service

Example:

`"78974156816152"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-shipment-external-id)

shipmentExternalId

string

Example:

`"123k4h123k"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-shipped-at)

shippedAt

string<date-time>

Order shipment time (UTC)

Example:

`"2023-04-06T07:58:30.996Z"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-status-code)

statusCode

enum<string>

Current shipment status (fabric-defined codes). Note: For standard shipments, the status would be SHIPMENT\_CREATED. For pickup shipment, the initial status would be PICKUP\_CREATED and once the customer picks up, the status changes to PICKUP\_COMPLETED

Available options:

`SHIPMENT_CREATED`,

`SHIPMENT_UPDATED`,

`SHIPMENT_CANCELLED`,

`PICKUP_CREATED`,

`PICKUP_COMPLETED`,

`SHIPMENT_DELIVERED`,

`SHIPMENT_RETURN_PENDING`,

`SHIPMENT_RETURN_RECEIVED`,

`SHIPMENT_PARTIALLY_DELIVERED`

Example:

`"SHIPMENT_CREATED"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-subtype)

subtype

string

Shipment subtype, for another layer of classification. There are no pre-defined values; the possible value is Cash On Delivery (COD)

Example:

`"COD"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-total-cartons)

totalCartons

integer<int64>

Total number of cartons in the given shipment. There can be only one carton per trackingNumber.

Example:

`2`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-type)

type

enum<string>

Shipment types

Available options:

`STANDARD`,

`RESHIP`,

`RETURN`,

`SCRATCH`,

`PENDING_RETURN`,

`PICKUP`,

`TRANSFER`

Example:

`"STANDARD"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-updated-at)

updatedAt

string<date-time>

Time of last update to shipment (UTC)

Example:

`"2023-04-06T07:58:30.996Z"`

[​](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-shipment-from-allocation#response-vendor-id)

vendorId

string

Vendor ID. Applicable in dropshipping scenarios to indicate the vendor responsible for the given item.

Example:

`"56"`

Was this page helpful?

YesNo

[Create new shipment](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/create-new-shipment) [Get shipment by ID](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/shipments/get-shipment-by-id)

Ctrl+I

Assistant

Responses are generated using AI and may contain mistakes.
